let html = document.getElementsByTagName("html")[0];
html.addEventListener("click", function (event) {
  if (event.target.tagName !== "BODY" && event.target.tagName !== "HTML") {
    return;
  }
  window.close();
});

function checkItemsByPattern(pattern) {
  var checklist = document.getElementsByClassName("ck-list");

  for (var i = 0; i < checklist.length; i++) {
    var item = checklist[i];

    var checkboxes = checklist[i].querySelectorAll("input[type='checkbox']");
    for (var j = 0; j < checkboxes.length; j++) {
      if (pattern.test(checkboxes[j].id)) {
        checkboxes[j].checked = true;
      }
    }
  }
}

function checkAllCheckboxes(targetId) {
  const div = document.getElementsByName(targetId);

  for (let i = 0; i < div.length; i++) {
    div[i].checked = true;
  }
}

const btn = document.getElementById("uncheckButton");

btn.addEventListener("click", () => {
  const checkboxes = document.querySelectorAll('input[type="checkbox"]');

  checkboxes.forEach((checkbox) => {
    checkbox.checked = false;
  });
});

document.getElementById("copy-btn").addEventListener("click", function () {
  var delimiter = document.getElementById("delimiter-select").value;

  var selectedTexts = [];
  var checkboxes = document.querySelectorAll("input[type=checkbox]:checked");
  for (var i = 0; i < checkboxes.length; i++) {
    if (!checkboxes[i].value.includes("全員")) {
      selectedTexts.push(checkboxes[i].value);
    }
  }

  if (delimiter == " #") {
    // hashtag
    var joinedText = selectedTexts.map((item) => `#${item}`).join(" ");
  } else {
    var joinedText = selectedTexts.join(delimiter);
  }

  navigator.clipboard
    .writeText(joinedText)
    .then(() => {
      console.log("copy" + joinedText);
    })
    .catch((err) => {
      console.error("Error", err);
    });
});

const cksallbtn = document.getElementById("ck-s-all");
cksallbtn.addEventListener("click", function () {
  const targetId = "チームS";
  checkAllCheckboxes(targetId);
});

const ckkallbtn = document.getElementById("ck-k-all");
ckkallbtn.addEventListener("click", function () {
  const targetId = "チームK2";
  checkAllCheckboxes(targetId);
});

const ckeallbtn = document.getElementById("ck-e-all");
ckeallbtn.addEventListener("click", function () {
  const targetId = "チームE";
  checkAllCheckboxes(targetId);
});

//const ck11allbtn = document.getElementById("ck-11-all");
//ck11allbtn.addEventListener("click", function () {
//  const targetId = "11期生";
//  checkAllCheckboxes(targetId);
//});
const ck12allbtn = document.getElementById("ck-12-all");
ck12allbtn.addEventListener("click", function () {
  const targetId = "12期研究生";
  checkAllCheckboxes(targetId);
});

var nikibtn = document.getElementById("2ki-btn");
nikibtn.addEventListener("click", function () {
  var pattern = /ck-02/;
  checkItemsByPattern(pattern);
});

var yonkibtn = document.getElementById("4ki-btn");
yonkibtn.addEventListener("click", function () {
  var pattern = /ck-04/;
  checkItemsByPattern(pattern);
});

var gokibtn = document.getElementById("5ki-btn");
gokibtn.addEventListener("click", function () {
  var pattern = /ck-05/;
  checkItemsByPattern(pattern);
});

var rokukibtn = document.getElementById("6ki-btn");
rokukibtn.addEventListener("click", function () {
  var pattern = /ck-06/;
  checkItemsByPattern(pattern);
});

var nanakibtn = document.getElementById("7ki-btn");
nanakibtn.addEventListener("click", function () {
  var pattern = /ck-07/;
  checkItemsByPattern(pattern);
});

var hachikibtn = document.getElementById("8ki-btn");
hachikibtn.addEventListener("click", function () {
  var pattern = /ck-08/;
  checkItemsByPattern(pattern);
});
var kyuukibtn = document.getElementById("9ki-btn");
kyuukibtn.addEventListener("click", function () {
  var pattern = /ck-09/;
  checkItemsByPattern(pattern);
});

var jyuukibtn = document.getElementById("10ki-btn");
jyuukibtn.addEventListener("click", function () {
  var pattern = /ck-10/;
  checkItemsByPattern(pattern);
});

var jyuuichikibtn = document.getElementById("11ki-btn");
jyuuichikibtn.addEventListener("click", function () {
  var pattern = /ck-11/;
  checkItemsByPattern(pattern);
});

var jyuunikibtn = document.getElementById("12ki-btn");
jyuunikibtn.addEventListener("click", function () {
  var pattern = /ck-12/;
  checkItemsByPattern(pattern);
});

var d1kibtn = document.getElementById("d1ki-btn");
d1kibtn.addEventListener("click", function () {
  var pattern = /ck-d1/;
  checkItemsByPattern(pattern);
});
var d2kibtn = document.getElementById("d2ki-btn");
d2kibtn.addEventListener("click", function () {
  var pattern = /ck-d2/;
  checkItemsByPattern(pattern);
});
var d3kibtn = document.getElementById("d3ki-btn");
d3kibtn.addEventListener("click", function () {
  var pattern = /ck-d3/;
  checkItemsByPattern(pattern);
});
var isekibtn = document.getElementById("iseki-btn");
isekibtn.addEventListener("click", function () {
  var pattern = /ck-iseki/;
  checkItemsByPattern(pattern);
});
